Get Image

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}

Gets the image information

Request

Path Parameters
Query Parameters
  • Provide a report on the versions of this image that can be deleted or if the image also be deleted in case there are no subscribers to the same
    Allowed Values: [ "deleteImageReport" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Ok. Image information is retrieved.
Body ()
Root Schema : GoldImage
Summary of the image
Match All
Summary of the image
Show Source
Match Any
Show Source
Nested Schema : GoldImageCommonSummary
Type: object
Common image summary
Show Source
Nested Schema : DeleteGoldImageReport
Type: object
Delete gold image report
Show Source
  • imageVersions
    Array of the image versions, which are candidates for deletion
  • Message indicates whether the image can be deleted
    Example: If the image does not have subscriptions then the message is "The following versions are candidates for deletion." else the message is "The image has active subscriptions hence cannot be deleted.Please delete all subscriptions or use force option to delete the image and following versions are candidate for deletion"
Nested Schema : imageVersions
Type: array
Array of the image versions, which are candidates for deletion
Show Source
Nested Schema : DeletableGoldImageVersionCandidate
Type: object
Information on safe delete gold image/version
Show Source
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

401 Response

Client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

403 Response

Forbidden. The user is forbidden to perform the requested operation
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

404 Response

Resource not found or not authorized for access
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top